<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

global $smcFunc;

if(!array_key_exists('db_add_column', $smcFunc))
	db_extend('packages');

$columns = array(
	array(
		'name' => 'id_member',
		'type' => 'mediumint',
		'size' => '8',
		'default' => '0',
	),
	array(
		'name' => 'id_profile',
		'type' => 'mediumint',
		'size' => '8',
		'default' => '0',
	),
	array(
		'name' => 'views',
		'type' => 'int',
		'size' => '10',
		'default' => '0',
	),
	array(
		'name' => 'time',
		'type' => 'int',
		'size' => '10',
		'default' => '0',
	),
);

$indexes = array(
	array(
		'type' => 'primary',
		'columns' => array('id_member', 'id_profile')
	),
	array(
		'type' => 'key',
		'columns' => array('id_profile')
	),
);

$smcFunc['db_create_table']('smf_log_profile_visitors', $columns, $indexes);

if(!empty($ssi))
	echo 'Database installation complete!';

?>